org.jboss.classfilewriter.annotations

## Class ParameterAnnotationsAttribute

- java.lang.Object
- - org.jboss.classfilewriter.attributes.Attribute
  - - org.jboss.classfilewriter.annotations.ParameterAnnotationsAttribute

All Implemented Interfaces:
  WritableEntry

    public class ParameterAnnotationsAttribute
    extends Attribute

A parameter annotations attribute

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ParameterAnnotationsAttribute.Type`

### Field Summary

### Fields inherited from class org.jboss.classfilewriter.attributes.Attribute

`constPool`

### Constructor Summary

Constructors
Constructor and Description
`ParameterAnnotationsAttribute(ParameterAnnotationsAttribute.Type type, ConstPool constPool, int noParameters)`

### Method Summary

Methods
`void` `addAnnotation(int parameter, Annotation annotation)`
`void` `addAnnotation(int parameter, ClassAnnotation annotation)`
`void` `writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.attributes.Attribute

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterAnnotationsAttribute

    public ParameterAnnotationsAttribute(ParameterAnnotationsAttribute.Type type,
                                 ConstPool constPool,
                                 int noParameters)

### Method Detail

#### writeData

    public void writeData(ByteArrayDataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `Attribute`
Throws:
  `IOException`

#### addAnnotation

    public void addAnnotation(int parameter,
                     Annotation annotation)

#### addAnnotation

    public void addAnnotation(int parameter,
                     ClassAnnotation annotation)